## org.exist.storage.btree
Class BTAbstractLoggable

    java.lang.Object
      org.exist.storage.journal.AbstractLoggable
          org.exist.storage.btree.BTAbstractLoggable

All Implemented Interfaces:
  Loggable

Direct Known Subclasses:
  CreateBTNodeLoggable, InsertValueLoggable, RemoveValueLoggable, SetParentLoggable, UpdatePageLoggable, UpdateValueLoggable

public abstract class BTAbstractLoggable
extends AbstractLoggable

Author:
  wolf

Constructor Summary
`BTAbstractLoggable(byte type, byte fileId, Txn transaction)`
`BTAbstractLoggable(byte type, DBBroker broker, long transactionId)`

Method Summary
`int` `getLogSize()` Returns the size of the work load of this entry.
`void` `read(java.nio.ByteBuffer in)` Read the entry.
`void` `write(java.nio.ByteBuffer out)` Write this entry to the specified ByteBuffer.

Methods inherited from class org.exist.storage.journal.AbstractLoggable
`clear, dump, getLogType, getLsn, getTransactionId, redo, setLsn, undo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTAbstractLoggable

    public BTAbstractLoggable(byte type,
                              byte fileId,
                              Txn transaction)

Parameters:
  `type` -
  `fileId` -

### BTAbstractLoggable

    public BTAbstractLoggable(byte type,
                              DBBroker broker,
                              long transactionId)

Method Detail

### read

    public void read(java.nio.ByteBuffer in)

  Description copied from interface: `Loggable`
  Read the entry.

  Parameters:
    `in` -

### write

    public void write(java.nio.ByteBuffer out)

  Description copied from interface: `Loggable`
  Write this entry to the specified ByteBuffer.

  Parameters:
    `out` -

### getLogSize

    public int getLogSize()

  Description copied from interface: `Loggable`
  Returns the size of the work load of this entry.

  Returns:
    size of the work load of this entry.

Copyright (C) Wolfgang Meier. All rights reserved.